let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/c2j3pwm9d9kn0s9irw5nhx3ymfy652bk-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/hl9c39gcr63yqblivrk5lchrgjyqs8pi-coreutils-8.32/bin";
  bzip2 = "/nix/store/2jjsh57zkjrw5ndijg3jj54nqxhdkinb-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/z4wbvpq6rhiagwh8ldvfy71jw9xk0qsx-gzip-1.10/bin/gzip";
  xz = "/nix/store/x07i9clayxyb65mac0hp4jqiqr9rskbd-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/rw4v37k8gzvb3r71amy4nffykyr2rjhx-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/hl9c39gcr63yqblivrk5lchrgjyqs8pi-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/q7x0rdq3qh3h7yv1kmhiy1j9drbb09q3-nix-2.3.18/bin";
  nixPrefix = "/nix/store/q7x0rdq3qh3h7yv1kmhiy1j9drbb09q3-nix-2.3.18";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/q7x0rdq3qh3h7yv1kmhiy1j9drbb09q3-nix-2.3.18/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
